Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    AIK: "Checking whether the OS update is greater then 5 [FAULT]"

    • Article Type: Q&A
    • Product: Aleph
    • Product Version: 21

    Question

    How should the v21 AIK Pre installation tasks, OS-level FAULT be handled?...

    On the Production server the AIK pre_checks_info_file.log shows:

    Checking whether the OS update is greater then 5 [FAULT]

    The pre-installation check looks at /etc/release. The Test server has this:

    Solaris 10 10/09 s10s_u8wos_08a SPARC
    Copyright 2009 Sun Microsystems, Inc. All Rights Reserved.
    Use is subject to license terms.
    Assembled 16 September 2009

    while Production has this:

    Solaris 10 6/06 s10s_u2wos_09a SPARC
    Copyright 2006 Sun Microsystems, Inc. All Rights Reserved.
    Use is subject to license terms.
    Assembled 09 June 2006

    However "uname -a" shows the same patch level on both servers: Generic_142900-11 .

    Answer

    If the server is at the necessary patch level, the /etc/release can be adjusted to indicate the corresponding OS value (as required by the kit).

    Additional Information

    The /etc/release is created with the initial install of the OS; the patch level is updated whenever patches are applied to the system. The patch level is the critical value.

    Category: Installation & Upgrades (500)

    Subject: Upgrade Express (500)


    • Article last edited: 10/8/2013
    //doorbell.io feedback widged